wikijs_data_directory_exists:
  file.directory:
    - name: /opt/wikijs
    - makedirs: True

wikijs_container_running:
  docker_container.running:
    - name: wikijs
    - image: {{ salt['pillar.get']('wikijs:image:path', 'ghcr.io/requarks/wiki') }}:{{ salt['pillar.get']('wikijs:image:version', '2.5') }}
    - user: root
    - environment:
      - DB_TYPE: sqlite
      - DB_FILEPATH: /wiki/wikijs.db
    - restart: unless-stopped
    - binds:
      - /opt/wikijs/wikijs.db:/wiki/wikijs.db
      - /opt/wikijs/id_ed25519:/wiki/id_ed25519
      - /opt/wikijs/id_ed25519.pub:/wiki/id_ed25519.pub
    - port_bindings:
      - "{{ salt['pillar.get']('wikijs:container_web_port', "127.0.0.1:3000") }}:3000"
